Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.sftp
Class SftpFileSystemConfigBuilder

    java.lang.Object
      org.apache.commons.vfs.FileSystemConfigBuilder
          org.apache.commons.vfs.provider.sftp.SftpFileSystemConfigBuilder

public class SftpFileSystemConfigBuilder
extends FileSystemConfigBuilder

The config builder for various sftp configuration options

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Nested Class Summary
`static class` | `SftpFileSystemConfigBuilder.ProxyType`

Field Summary
`static SftpFileSystemConfigBuilder.ProxyType` | `PROXY_HTTP`
`static SftpFileSystemConfigBuilder.ProxyType` | `PROXY_SOCKS5`

Method Summary
`String` | `getCompression(FileSystemOptions opts)`
`protected Class` | `getConfigClass()`
`File[]` | `getIdentities(FileSystemOptions opts)`
`static SftpFileSystemConfigBuilder` | `getInstance()`
`File` | `getKnownHosts(FileSystemOptions opts)`
`String` | `getProxyHost(FileSystemOptions opts)` Get the proxy to use for sftp connection You have to set the ProxyPort too if you would like to have the proxy relly used.
`int` | `getProxyPort(FileSystemOptions opts)` Get the proxy-port to use for sftp the connection You have to set the ProxyHost too if you would like to have the proxy relly used.
`SftpFileSystemConfigBuilder.ProxyType` | `getProxyType(FileSystemOptions opts)` Get the proxy type to use for sftp connection.
`String` | `getStrictHostKeyChecking(FileSystemOptions opts)`
`Integer` | `getTimeout(FileSystemOptions opts)`
`Boolean` | `getUserDirIsRoot(FileSystemOptions opts)`
`com.jcraft.jsch.UserInfo` | `getUserInfo(FileSystemOptions opts)`
`void` | `setCompression(FileSystemOptions opts, String compression)` configure the compression to use.
`void` | `setIdentities(FileSystemOptions opts, File[] identities)` Set the identity files (your private key files).
`void` | `setKnownHosts(FileSystemOptions opts, File sshdir)` Set the known_hosts file. e.g.
`void` | `setProxyHost(FileSystemOptions opts, String proxyHost)` Set the proxy to use for sftp connection.
`void` | `setProxyPort(FileSystemOptions opts, int proxyPort)` Set the proxy-port to use for sftp connection You have to set the ProxyHost too if you would like to have the proxy relly used.
`void` | `setProxyType(FileSystemOptions opts, SftpFileSystemConfigBuilder.ProxyType proxyType)` Set the proxy type to use for sftp connection.
`void` | `setStrictHostKeyChecking(FileSystemOptions opts, String hostKeyChecking)` configure the host key checking to use.
`void` | `setTimeout(FileSystemOptions opts, Integer timeout)` set the timeout value on jsch session
`void` | `setUserDirIsRoot(FileSystemOptions opts, boolean userDirIsRoot)` use user directory as root (do not change to fs root)
`void` | `setUserInfo(FileSystemOptions opts, com.jcraft.jsch.UserInfo info)` Set the userinfo class to use if e.g. a password or a not known host will be contacted

Methods inherited from class org.apache.commons.vfs.FileSystemConfigBuilder
`getParam, hasParam, setParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXY_HTTP

    public static final SftpFileSystemConfigBuilder.ProxyType PROXY_HTTP

### PROXY_SOCKS5

    public static final SftpFileSystemConfigBuilder.ProxyType PROXY_SOCKS5

Method Detail

### getInstance

    public static SftpFileSystemConfigBuilder getInstance()

### setUserInfo

    public void setUserInfo(FileSystemOptions opts,
                            com.jcraft.jsch.UserInfo info)

  Set the userinfo class to use if e.g. a password or a not known host will be contacted

  Parameters:
    `opts` -
    `info` -

### getUserInfo

    public com.jcraft.jsch.UserInfo getUserInfo(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setUserInfo(org.apache.commons.vfs.FileSystemOptions, com.jcraft.jsch.UserInfo)`

### setKnownHosts

    public void setKnownHosts(FileSystemOptions opts,
                              File sshdir)
                       throws FileSystemException

  Set the known_hosts file. e.g. /home/user/.ssh/known_hosts2
  Need to use a java.io.File as JSch cant deal with vfs FileObjects ;-)

  Parameters:
    `opts` -
    `sshdir` -
  Throws:
    `FileSystemException`

### getKnownHosts

    public File getKnownHosts(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setKnownHosts(org.apache.commons.vfs.FileSystemOptions, java.io.File)`

### setIdentities

    public void setIdentities(FileSystemOptions opts,
                              File[] identities)
                       throws FileSystemException

  Set the identity files (your private key files).
  Need to use a java.io.File as JSch cant deal with vfs FileObjects ;-)

  Parameters:
    `opts` -
    `identities` -
  Throws:
    `FileSystemException`

### setCompression

    public void setCompression(FileSystemOptions opts,
                               String compression)
                        throws FileSystemException

  configure the compression to use.
  e.g. pass "zlib,none" to enable the compression.
  See the jsch documentation for details.

  Parameters:
    `opts` -
    `compression` -
  Throws:
    `FileSystemException`

### getCompression

    public String getCompression(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setCompression(org.apache.commons.vfs.FileSystemOptions, java.lang.String)`

### getIdentities

    public File[] getIdentities(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setIdentities(org.apache.commons.vfs.FileSystemOptions, java.io.File[])`

### setStrictHostKeyChecking

    public void setStrictHostKeyChecking(FileSystemOptions opts,
                                         String hostKeyChecking)
                                  throws FileSystemException

  configure the host key checking to use.
  valid arguments are only yes, no and ask.
  See the jsch documentation for details.

  Parameters:
    `opts` -
    `hostKeyChecking` -
  Throws:
    `FileSystemException`

### getStrictHostKeyChecking

    public String getStrictHostKeyChecking(FileSystemOptions opts)

  Parameters:
    `opts` -
  Returns:
    the option value
  See Also:
    `setStrictHostKeyChecking(FileSystemOptions, String)`

### setUserDirIsRoot

    public void setUserDirIsRoot(FileSystemOptions opts,
                                 boolean userDirIsRoot)

  use user directory as root (do not change to fs root)

  Parameters:
    `opts` -
    `userDirIsRoot` -

### getUserDirIsRoot

    public Boolean getUserDirIsRoot(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setUserDirIsRoot(org.apache.commons.vfs.FileSystemOptions, boolean)`

### setTimeout

    public void setTimeout(FileSystemOptions opts,
                           Integer timeout)

  set the timeout value on jsch session

  Parameters:
    `opts` -
    `timeout` -

### getTimeout

    public Integer getTimeout(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setTimeout(org.apache.commons.vfs.FileSystemOptions, java.lang.Integer)`

### getConfigClass

    protected Class getConfigClass()

  Specified by:
    `getConfigClass` in class `FileSystemConfigBuilder`

### setProxyHost

    public void setProxyHost(FileSystemOptions opts,
                             String proxyHost)

  Set the proxy to use for sftp connection.
  You have to set the ProxyPort too if you would like to have the proxy relly used.

  Parameters:
    `proxyHost` - the host
  See Also:
    `setProxyPort(org.apache.commons.vfs.FileSystemOptions, int)`

### setProxyPort

    public void setProxyPort(FileSystemOptions opts,
                             int proxyPort)

  Set the proxy-port to use for sftp connection You have to set the ProxyHost too if you would like to have the proxy relly used.

  Parameters:
    `proxyPort` - the port
  See Also:
    `setProxyHost(org.apache.commons.vfs.FileSystemOptions, java.lang.String)`

### getProxyHost

    public String getProxyHost(FileSystemOptions opts)

  Get the proxy to use for sftp connection You have to set the ProxyPort too if you would like to have the proxy relly used.

  Returns:
    proxyHost
  See Also:
    `setProxyPort(org.apache.commons.vfs.FileSystemOptions, int)`

### getProxyPort

    public int getProxyPort(FileSystemOptions opts)

  Get the proxy-port to use for sftp the connection You have to set the ProxyHost too if you would like to have the proxy relly used.

  Returns:
    proxyPort: the port number or 0 if it is not set
  See Also:
    `setProxyHost(org.apache.commons.vfs.FileSystemOptions, java.lang.String)`

### setProxyType

    public void setProxyType(FileSystemOptions opts,
                             SftpFileSystemConfigBuilder.ProxyType proxyType)

  Set the proxy type to use for sftp connection.

### getProxyType

    public SftpFileSystemConfigBuilder.ProxyType getProxyType(FileSystemOptions opts)

  Get the proxy type to use for sftp connection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.